Create redeem voucher request

Creates a request to redeem a voucher.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID

Request

This endpoint expects an object.
attributedRewardIdstringOptionalformat: "uuid"
Unique identifier for the attributed reward
codestringOptional
Redemption code for the reward
contactIdlongOptional>=1
Unique identifier for the contact
loyaltySubscriptionIdstringOptional
Identifier for the loyalty subscription
metamap from strings to anyOptional
Additional metadata associated with the redeem request
orderobjectOptional
Order details for the redemption
rewardIdstringOptionalformat: "uuid"
Unique identifier for the reward
ttlintegerOptional>=0
Time to live in seconds for the redemption request

Response

Redeem request successfully created
cancelledAtdatetime
Timestamp when the redemption was cancelled
completedAtdatetime
Timestamp when the redemption was completed
contactIdlong
Unique identifier for the contact
createdAtdatetime
Timestamp when the redemption was created
debitTransactionIdstringformat: "uuid"
Unique identifier for the debit transaction
expiresAtdatetime
Timestamp when the redemption expires
idstringformat: "uuid"
Unique identifier for the redemption
loyaltyProgramIdstringformat: "uuid"
Unique identifier for the loyalty program
metamap from strings to any
Additional metadata associated with the redemption
rejectReasonstring
Reason for rejection if the redemption was rejected
rejectedAtdatetime
Timestamp when the redemption was rejected
rewardAttributionIdstringformat: "uuid"
Unique identifier for the reward attribution
statusstring
Current status of the redemption
updatedAtdatetime
Timestamp when the redemption was last updated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
412
Precondition Failed Error
417
Expectation Failed Error
422
Unprocessable Entity Error
500
Internal Server Error